Opened 11 years ago

Closed 10 years ago

#5508 closed defect (fixed)

osx-packager fails to build

Reported by: tjosephcarter@… Owned by: Isaac Richards
Priority: major Milestone: unknown
Component: contrib Version: 0.21-fixes
Severity: medium Keywords: osx build
Cc: Ticket locked: no

Description

Ran:

tjcarter@etusko:~/Source/mythtv$ mkdir 0.21-fixes && cd 0.21-fixes && mv ~/Downloads/makebundle.sh ~/Downloads/osx-bundler.pl ~/Downloads/osx-packager.pl . && chmod 755 *.sh *.pl tjcarter@etusko:~/Source/mythtv/0.21-fixes$ ./osx-packager.pl 2>&1 | tee mythbuild.log

Files fetched from tags/release-0-21/mythtv/contrib/OSX (via trac), so it's a clean and current build. Currently running OS X 10.5.3. xcodebuild -version reports:

Component versions: DevToolsCore?-921.0; DevToolsSupport?-893.0

system_profiler output included in case it would be useful, but you'll get anything particularly important from that. It's an iMac with stuff attached via Firewire and USB.

Attachments (4)

mythbuild.log.bz2 (108.0 KB) - added by anonymous 11 years ago.
profile.txt (19.5 KB) - added by anonymous 11 years ago.
mythtv.log.bz2 (758 bytes) - added by linuxmaniac@… 10 years ago.
build log r19777
patched (424 bytes) - added by linuxmaniac@… 10 years ago.
mysql url updated

Download all attachments as: .zip

Change History (9)

Changed 11 years ago by anonymous

Attachment: mythbuild.log.bz2 added

Changed 11 years ago by anonymous

Attachment: profile.txt added

comment:1 Changed 11 years ago by Nigel

Resolution: worksforme
Status: newclosed

osx-packager-pl tries to build the head version of the trunk branch unless you specify a different version. So you needed to do:

osx-packager.pl -svnbranch release-0-21-fixes

Yes, I know its inconvenient that the fixes branch of the script doesn't "build itself," but anything else is extra maintenance. Sorry

comment:2 in reply to:  1 Changed 10 years ago by linuxmaniac@…

osx-packager.pl -svnbranch release-0-21-fixes

on r19777 does not built.

Changed 10 years ago by linuxmaniac@…

Attachment: mythtv.log.bz2 added

build log r19777

comment:3 Changed 10 years ago by Nigel

Resolution: worksforme
Status: closednew

Read the comment 7 months ago. You need to use the 0.21-fixes version of the packager to build old versions. I have now updated the head version [19943] so that it tells you that and fails.
I will check the 0.21-fixes version, though, and see which of the dependencies need updating

Changed 10 years ago by linuxmaniac@…

Attachment: patched added

mysql url updated

comment:4 Changed 10 years ago by Nigel

(In [20147]) Update MySQL DL link. See #5508. Removes Qt 4 comment (0.21-fixes will never use Qt 4), adds error if using this version to build head. Note that the Qt 3 mirror may be bad?

comment:5 Changed 10 years ago by Nigel

Resolution: fixed
Status: newclosed

Mirror worked eventually, built on 0-210fixes (without plugins). Closing

Note: See TracTickets for help on using tickets.